Mail for Exchange Client 2.9 necessary für Nokia Smartphones when using OXtendender for Busniess Mobility

Your rating: None Average: 3.5 (13 votes)

Concern:

Recent Nokia Smartphones have been released with Mail for Exchange Version 3.0. Unfortunately Version 3.0 does not properly synchronize E-Mail. Installing the earlier version of Mail for Exchange v2.9 solves this issue.

Solution:

Download Mail for Exchange 2.9 for compatible S60 5.0 devices:

File name: MailForExchange(2.9.208)_S60_5_0.sisx

Compatible devices include Nokia X6, Nokia N97 mini, Nokia N97, Nokia 5800 Xpress Music, Nokia 5530 Xpress Music and Nokia 5230.

Download Mail for Exchange 2.9 for compatible S60 3.2 devices:

File name: MailForExchange(2.9.208)_S60_3_2.sisx

Compatible devices include Nokia E71x, Nokia N96, Nokia N85, Nokia N79, Nokia N78, Nokia 6790, Nokia 6790 Surge, Nokia 6650, Nokia 6220 classic, Nokia 6210 Navigator, Nokia 6210 classic, Nokia 5730 Xpress Music, Nokia 5630 Xpress Music and Nokia 5320 Xpress Music.

Open-Xchange AG | Impressum